Bug 240161 - RemoteVideoFrameObjectHeapProxyProcessor binary semaphore usage might trigger deadlocks in case of GPUProcess crash
Summary: RemoteVideoFrameObjectHeapProxyProcessor binary semaphore usage might trigger...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-06 02:32 PDT by youenn fablet
Modified: 2022-05-10 01:53 PDT (History)
10 users (show)

See Also:


Attachments
Patch (7.65 KB, patch)
2022-05-09 01:27 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2022-05-06 02:32:07 PDT
RemoteVideoFrameObjectHeapProxyProcessor binary semaphore usage might trigger deadlocks in case of GPUProcess crash
Comment 1 Radar WebKit Bug Importer 2022-05-06 02:32:20 PDT
<rdar://problem/92849827>
Comment 2 youenn fablet 2022-05-09 01:27:08 PDT
Created attachment 459034 [details]
Patch
Comment 3 youenn fablet 2022-05-09 06:18:28 PDT
Comment on attachment 459034 [details]
Patch

imported/w3c/web-platform-tests/html/semantics/embedded-content/the-img-element/image-loading-lazy-move-into-script-disabled-iframe.html failure is unrelated
Comment 4 EWS 2022-05-10 01:53:18 PDT
Committed r294005 (250441@main): <https://commits.webkit.org/250441@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 459034 [details].